data:extend(
{

  {
    type = "autoplace-control",
    name = "monazite-ore",
    richness = true,
    order = "b-f-b"
  },

  {
    type = "noise-layer",
    name = "monazite-ore"
  },
  {
    type = "resource",
    name = "monazite-ore",
    icon = "__Thorium Mod__/graphics/icons/monazite-ore.png",
    flags = {"placeable-neutral"},
    order="a-b-a",
    minable =
    {
      hardness = 0.9,
      mining_particle = "copper-ore-particle",
      mining_time = 2,
      result = "monazite-ore-base"
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "monazite-ore",
      sharpness = 1,
      richness_multiplier = 20000000,
      richness_base = 20000000,
      size_control_multiplier = 0.06,
      peaks = {
        {
          influence = 0.2,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.65,
          noise_layer = "monazite-ore",
          noise_octaves_difference = -1.9,
          noise_persistence = 0.3,
          starting_area_weight_optimal = 0,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        }
      },
    },
    stage_counts = {1000, 600, 400, 200, 100, 50, 20, 1},
    stages =
    {
      sheet =
      {
        filename = "__Thorium Mod__/graphics/entity/monazite/monazite.png",
        priority = "extra-high",
        width = 38,
        height = 38,
        frame_count = 4,
        variation_count = 8
      }
    },
    map_color = {r=0.388, g=0.803, b=0.215}
  }
}
)
