data:extend(
{
  {
    type = "recipe",
    name = "monazite-treatment",
    category = "chemistry",
    energy_required = 3,
    enabled = false,
    ingredients =
    {
      {type="item", name="monazite-ore-base", amount=8},
      {type="fluid", name="sulfuric-acid", amount=2}
    },
    results=
    {
      {type="item", name="thorium-metal", amount=1},
      {type="item", name="rare-earth-metal", amount=1}
    },
	icon = "__Thorium Mod__/graphics/icons/monazite-treatment.png",
    subgroup = "fluid-recipes"
  },
  {
    type = "recipe",
    name = "lftr-fuel-recipe",
    category = "chemistry",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="water", amount=10},
      {type="item", name="thorium-metal", amount=2}
    },
    results=
    {
      {type="fluid", name="lftr-fuel", amount=2}
    },
    icon = "__Thorium Mod__/graphics/icons/fluid/lftr-fuel.png",
    subgroup = "fluid-recipes",
  },
  {
    type = "recipe",
    name = "advanced-circuit",
    enabled = false,
    energy_required = 8,
    ingredients =
    {
      {"electronic-circuit", 2},
      {"plastic-bar", 2},
      {"copper-cable", 4},
	  {"rare-earth-metal", 1}
    },
    result = "advanced-circuit"
  },
  {
    type = "recipe",
    name = "processing-unit",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 15,
    ingredients =
    {
      {"electronic-circuit", 20},
      {"advanced-circuit", 2},
	  {"rare-earth-metal", 1},
      {type="fluid", name = "sulfuric-acid", amount = 0.5}
    },
    result = "processing-unit"
  },
}
)
